Bug 108009 - default label localization may be >32 chars long
default label localization may be >32 chars long
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2003-10-25 23:55 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 01:22:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dams 2003-10-25 23:55:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1) Gecko/20031023

Description of problem:
I'm french and I configured my locale as fr_FR.UTF-8.
I tried to burn a cd using nautilus-cd-burner. I let the default generated
label, but when i click the 'write' button, the nautilus-cd-burner window
dispappeared without a trace. 

I looked in my .xsession-errors and found : 
** (nautilus-cd-burner:22051): CRITICAL **: file make-iso.c: line 496
(make_iso): assertion `strlen (label) < 32' failed

The french label is "Donnees personelles, <insert date>" which is >32 chars long.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set your locale to fr_FR.UTF-8
2. in nautilus enter the burn:/// location
3. drop some files in the window
4. click to write to cd
5. look at the cd label

Expected Results:  Label should be shorter.

Additional info:

This is little more than a trivial typo in translation. I'll post an updated
fr.po that i hope you will accept before final release.
Comment 1 Matthias Clasen 2006-08-04 13:47:03 EDT
William, if you are listening: What we need at the very least here is a
translator comment pointing out the 32 character limitation.
Ideally, the code should also try to be a bit smarter and maybe just cut the
text off at the last character boundary before byte 32.
Comment 2 John Thacker 2006-10-29 17:52:30 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 3 Dams 2006-10-30 01:22:57 EST
It's been fixed a while ago anyway.

Note You need to log in before you can comment on or make changes to this bug.